import disnake
from disnake import Option
from disnake.ext import commands
from lib import logger


class Testing(commands.Cog, name='Testing'):
    def __init__(self, bot: commands.Bot):
        self.bot = bot  # defining bot as global var in class

    @commands.Cog.listener()  # this is a decorator for events/listeners
    async def on_ready(self):
        logger.info(f'Cog {__name__.split(".")[1]} is ready!.')

    @commands.slash_command(name='play', description='play audio test from yandex.music', options=[
        Option(name='search', description='seach track/artist')
    ])
    async def play(self, inter: disnake.ApplicationCommandInteraction, audio):
        pass


def setup(bot):  # an extension must have a setup function
    bot.add_cog(Testing(bot))  # adding a cog
